Bug 9361 - MARC 610 and 611 fields in bulk imports are not linked to authorities
Summary: MARC 610 and 611 fields in bulk imports are not linked to authorities
Status: CLOSED WORKSFORME
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: 3.10
Hardware: All All
: P4 normal (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-08 07:36 UTC by Doug Kingston
Modified: 2015-06-04 23:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch to fix linking of 610a and 611a (1001 bytes, patch)
2013-01-23 03:19 UTC, Doug Kingston
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Doug Kingston 2013-01-08 07:36:07 UTC
See in 3.10.0, but may effect earlier versions as well.

Import a bunch of records with 610 and 611 fields (as well as 650)
(also 100, 110 and 111).
Import, rebuild zebra index and then link_bibs_to_authorities.
610 and 611 entries do not get link to the appropriate authorities.

The problem appears to be due to this commented code in lib/C4/Koha.pm:

sub getFacets {
    my $facets;
    if ( C4::Context->preference("marcflavour") eq "UNIMARC" ) {
        $facets = [
        ...
    }
    else {
        $facets = [
            {
                idx   => 'su-to',
                label => 'Topics',
                tags  => [ qw/ 650a / ],
                sep   => '--',
            },
            #        {
            #        idx   => 'su-na',
            #        label => 'People and Organizations',
            #        tags  => [ qw/ 600a 610a 611a / ],
            #        sep   => 'a',
            #        },
            {
                idx   => 'su-geo',
                label => 'Places',
                tags  => [ qw/ 651a / ],
                sep   => '--',
            },
            {
                idx   => 'su-ut',
                label => 'Titles',
                tags  => [ qw/ 630a / ],
                sep   => '--',
            },

Uncommenting the lines above for idx  => 'su-na', followed by a rebuild of the zebra indexes (-v -b -a) and a link_bibs_to_authorities and 610s and 611s are now linked.

Why was this stanza commented out?  This appears to be empirically wrong.
Comment 1 Doug Kingston 2013-01-23 03:19:25 UTC Comment hidden (obsolete)
Comment 2 Doug Kingston 2013-03-28 06:14:16 UTC
Ping for update on this patch.  Galen, what do we need to get this in the next relase.  I have been running with this patch applied since January.
Comment 3 Jared Camins-Esakov 2013-03-28 11:02:08 UTC
(In reply to comment #0)
> See in 3.10.0, but may effect earlier versions as well.
> 
> Import a bunch of records with 610 and 611 fields (as well as 650)
> (also 100, 110 and 111).
> Import, rebuild zebra index and then link_bibs_to_authorities.
> 610 and 611 entries do not get link to the appropriate authorities.
> 
> The problem appears to be due to this commented code in lib/C4/Koha.pm:

link_bibs_to_authorities does not have anything to do with facets. I'm not sure why changing this file should make a difference.

In order to get this into 3.12, we'll need to confirm this is a problem on master (I don't encounter it), and then get a git patch signed off and QAed. If you have a spare test server, you can confirm the problem and the solution by installing 3.12-beta1 on it, and, if the problem still exists, attach a git patch making the changes (git is easy; see http://wiki.koha-community.org/wiki/Version_Control_Using_Git ).
Comment 4 Katrin Fischer 2014-09-01 12:09:45 UTC
Comment on attachment 14766 [details] [review]
Patch to fix linking of 610a and 611a

I have to agree with Jared - the code change in the patch will add a new facet named "People and Organisations", but won't influence authority linking. Marking the patch obsolete. 

Does the problem still appear in current versions of Koha?
Comment 5 Doug Kingston 2014-09-01 20:31:35 UTC
I am happy to report that this issue appears to be resolved in current versions of Koha from test that Elaine just ran.  I will mark this WORKSFORME (now).
Comment 6 Katrin Fischer 2014-09-01 20:33:14 UTC
Hi Doug and Elaine - thx for checking!